/***
**** HOME
****/

(function(){
	$(document).ready(function(){
		// 设置背景CSS
		setIndexBanner();
		
		loadeStatus();
		//window.clearInterval(time_p);
		window.clearInterval(time_s);
		//time_p = window.setInterval(bk_change,time_change);
		// 检查服务器状态
		time_s = window.setInterval(loadeStatus,time_server);
		
		setRingPos();

		// checkPay
		
		if (checkPayFlag == '1'){
			if (username != ""){
				checkPay(username);
			}
		}
	});
	
	$('.payNotClickBtnSureImage').live('click',function(){
		if($(this).attr('p') == "0"){
			$(this).attr('p','1');
			$(this).removeClass('payNotSure');
			$(this).addClass('payYesSure');
		}else{
			$(this).attr('p','0');
			$(this).removeClass('payYesSure');
			$(this).addClass('payNotSure');
		}
	});
	
	$('.payNotClickBtnClose').live('click',function(){
		var flag = $('.payNotClickBtnSureImage').attr('p');
		
		if (username != ""){
			$.ajax({
				url:'payShowClose.php',
				type:'POST',
				dataType:'html',
				data:{account:username,order:flag},
				timeOut:10000,
				success:function(html){
					TINY.box.hide();
				},
				error:function(){
					alert('error!');
				}
			});
		}
	})
	
	$(window).resize(function(){
		setRingPos();
	});
	
	function checkPay(username){
		if(!is_email(username)){
			return false;
		}
		
		
		$.ajax({
			url:'payCheck.php',
			type:'POST',
			dataType:'html',
			data:{account:username},
			timeOut:20000,
			success:function(html){
				//alert(html);
				if (html!="noneed" && html != "hasmoney"){
					TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:350,height:206});
					$('.nas_pay #nas_pay_vip').css('color','#8D989C');
				}else if(html == "hasmoney"){
					$('.nas_pay #nas_pay_vip').css('color','#DA7002');
				}else{
					$('.nas_pay #nas_pay_vip').css('color','#8D989C');
				}
			},
			error:function(){
				alert('error!');
			}
		});
		
		$.ajax({
			url:'payCheck.php',
			type:'POST',
			dataType:'html',
			data:{account:username,order:'1'},
			timeOut:20000,
			success:function(html){
				if (html == 'iosNo'){
					$('.nas_pay #ios_pay_vip').css('color','#8D989C');
				}else{
					$('.nas_pay #ios_pay_vip').css('color','#DA7002');
				}
			},
			error:function(){
				alert('error!');
			}
		})
	}
	
	function setRingPos(){
		var obj= $('.upPanel');
		var offset = obj.offset();
		
		var leftDistance = offset.left + obj.width() + 25;
		//alert(leftDistance);
		// 设置拉环左边距
		$('.bg_ring').css("left",leftDistance+"px");
	}
	
	// 设置背景
	function setIndexBanner(){
		$('.spacing').css("background","url('./public/images/"+show_banner+"') no-repeat center");
	}
	
	// 定时切换按钮
	function bk_change(){
		// 上一次按钮位置
		var last_pos = $('.cur_radio').index();
		// 总数li
		var total_num = $('.change_radio li').size();
		
		$('.change_radio li').attr('class','');
		// 最后一按钮
		if (last_pos + 1 == total_num){
			$('.change_radio li:eq(0)').addClass('cur_radio');
			$('.spacing').stop().fadeOut(100).fadeIn(500).css('background','url("./public/images/'+bk_map[0]+'") no-repeat');
		}else{
			var cur_pos = last_pos+1;
			$('.change_radio li:eq('+cur_pos+')').addClass('cur_radio');
			$('.spacing').stop().fadeOut(100).fadeIn(500).css('background','url("./public/images/'+bk_map[cur_pos]+'")  no-repeat');
		}
	}
	
	// 背景图点击按钮切换
	$('.change_radio li').click(function(){
		window.clearInterval(time_p);
		$('.change_radio li').attr('class','');
		$(this).addClass('cur_radio');
		var idx = $('.change_radio li').index($(this));
		$('.spacing').stop().fadeOut(100).fadeIn(500).css('background','url("./public/images/'+bk_map[idx]+'")  no-repeat');
		time_p = window.setInterval(bk_change,time_change);
	});
	
	// 输入框焦点切换
	$('.login_input_style').focus(function(){
		$(this).next().hide();
	});
	
	$('.login_input_style').blur(function(){
		if ($(this).val() == '')
			$(this).next().show();
	});
	
	// 切换背景
	$('.bg_ring').live('click',function(){
		$(this).animate({top:'-5px'},100).animate({top:'-30px'},100);
		
		// 取得随机值
		var r_flag = Math.ceil(Math.ceil(Math.random()*10)/2);
		
		$('body').stop().css('background','url("./public/images/nas0'+r_flag+'.jpg") no-repeat center');
	});
	
	// 切换语言
	$('.language').hover(
		function(){
			$('.t_lang_change').show();
		},
		function(event){
			$('.t_lang_change').hide();
		}
	);
	
	// 点击语言
	$('.t_lang_change li').click(function(){
		var flag = $('.t_lang_change li').index($(this));
		// 切换语言时暂时停止时间监测
		switch(flag){
			case 0:
				location.href='?L=cn';
				break;
			case 1:
				location.href='?L=tw';
				break;
			case 2:
				location.href='?L=en';
				break;
		}
	})
	
	//点击我的小云 具体项目
	$('.xcloud_own li').click(function(){
		var o = $(this);
		var l_url = $(this).children('div').attr('title')+'.php';
		
	    $.ajax({
	        type: 'POST',  
	        url: l_url,
	        dataType: 'html',
	        success: function(html) {
	        	if (l_url == 'share.php'){
	        		var content = html.split('_');
	        		
		        	if ('0' == content[1]){
		        		$.ajax({
		        	        type: 'POST',
		        	        url: 'pop_com_mention.php',
		        	        data:{'msg':content[0]},
		        	        dataType: 'html',
		        	        success: function(html) {
		        	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
		        	        }
		        	    })
		        	}else{
		        		window.clearInterval(time_p);
		    			$('.right').html('');
		        		$('.right').html(html);
		        
		        		$('.xcloud_own li').attr('class','');
		        		o.attr('class','my_cur');
		        	}
	        	}else{
	        		window.clearInterval(time_p);
	    			$('.right').html('');
	        		$('.right').html(html);
	        
	        		$('.xcloud_own li').attr('class','');
	        		o.attr('class','my_cur');
	        	}
	        }
	    })
	})
	
	// 点击清空历史记录
	$('.clear').live('click',function(){
		var loadimg = "<img src='./public/images/preload.gif'>";
		TINY.box.show({html:loadimg,animate:true,close:false,boxid:'error',width:24,height:24});
		var cmd = $(this).attr('class');

		$.ajax({
			url:'history.php',
			type:'POST',
			dataType:'html',
			data:'cmd='+cmd,
			timeout:100000,
			success:function(html){
				TINY.box.hide();
    			$('.right').html('');
        		$('.right').html(html);
			}
		})
	});
	
	function getImageSize(url){
		var i = new Image(); //新建一个图片对象
		i.src = url;//将图片的src属性赋值给新建的图片对象的src

		if(i.complete){
			complete();
		}else{
			i.onload = complete;
		}
		//alert(i.width);
		//return new Array(i.width,i.height);
		function complete(){
			//return new Array(i.width,i.height);
			//alert(i.width+'+++'+i.height);
			//alert(i.src);
			// 如果大于900 缩小一半
			var container_w = $('.mainPanel').width();
			var container_h = $('.mainPanel').height();
			var rate = 2;
			var tmp_w = 0;
			var tmp_h = 0;
			
			if (i.width > container_w || i.height > container_h){
				while(true){
					rate += 1;
				
					tmp_w = Math.floor(i.width/rate);
					tmp_h = Math.floor(i.height/rate);
					
					if ((tmp_w <= 600) && (tmp_h <= 400)){
						break;
					}
				}
				//rate = Math.floor(i.width/container_w) + 1;
			}
			//alert(rate);
			TINY.box.show({image:i.src,boxid:'frameless',animate:true,width:(Math.floor(i.width/rate)),height:(Math.floor(i.height/rate)), openjs:function(){$('.tcontent img').width(Math.floor(i.width/rate));
			$('.tcontent img').height(Math.floor(i.height/rate));
			$('.tcontent img').css('border','5px solid white');
			}})
		}
		
	}
	
	// 点击历史查看
	$('.file_chk').live('click',function(){
		var file_url = $(this).attr('title');
		if ('' == file_url) return false;
		
		//var n_url = file_url.replace('/volume1/xcloud/','');
		var n_url = file_url.replace(system_type,'');
		var end = n_url.indexOf('/');
		var selectFlag = n_url.substring(0,end);
		
		switch(selectFlag){
			case 'pic':
				$.ajax({
					type:'POST',
					data:'fileUrl='+file_url,
					url:'historyfile.php',
					dataType:'html',
					timeout:3000,
					success:function(html){
						var flag = html.split('|');
						//alert(flag[0]);
						switch(flag[0]){
							case 'p':
								getImageSize(''+flag[1]);
								break;
						}
					},
					error:function(){
						alert('failed');
					}
				})
				break;
			default:
				//location.href='download.php?path='+file_url;
				break;
		}
		return false;
	})
	
	// 点击验证码帮助
	$('.chkword_help_btn').live('click',function(){
		$('.chkword_help').show();
		return false;
	})
	
	$('.chkword_help_btn').mouseleave(function(){
		$('.chkword_help').fadeOut(500);
		return false;
	})
	
	// 点击意见反馈 feedback
	$('.feedback').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'feedback.php',
	        dataType: 'html',
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:610,height:422});
	        }
	    })
	})
	
	// 清空默认字符
	$('.clear_default').live('focus',function(){
		$(this).html('');
	})
	
	$('.feedback_submit').live('click',function(){
		var info = '';
		// 检查输入信息
		
		if ('' == $('.clear_default').val()){
			info = feedback_content;
		}else if ('' == $('.feedback_contact_info').val()){
			info = feedback_mention;
		// 检查邮箱格式
		}else if(!is_email($('.feedback_contact_info').val())){
			info = email_wrong;
		}
			
		if ('' != info){
			$('.feedback_mention').stop().html(info).fadeIn(500).fadeOut(500).fadeIn(500).fadeOut(1000);
			return false;
		}
		
		$('.feedback_mention').show().html(imghtml1);

		// 提交数据
		$.ajax({
			url:'bug.php',
			dataType:'html',
			type: 'POST',
			data:{'text':$('.clear_default').val(),'email':$('.feedback_contact_info').val(),'lang':$('.feedback_lang').val(),'system':$('.feedback_sys').val()},
			//timeout :1000,
			success:function(html){
				//$('.feedback_mention').html('').hide();
				TINY.box.hide();
			},
			error:function(){
				$('.feedback_mention').html('').hide();
				$('.feedback_mention').stop().html(feedback_wrong).fadeIn(500).fadeOut(500).fadeIn(500).fadeOut(1000);
			}
		})
	})
	
	// 邮箱判断
	function is_email(str) {
	    //var reg = /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+((\.[a-zA-Z0-9_-]{2,3}){1,2})$/;
	    var reg = /^([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)*@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-]+)*\.[a-zA-Z]{2,4}$/;
	    return reg.test(str);
	}	
	
	// 点击小云设置
	$('.setting').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'setting.php',
	        dataType: 'html',
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:610,height:422});
	        }
	    })
	})
	
	// 点击参与用户调查按钮
	$('.countUserData').live('click',function(){
		var status = '0';
		// 获取点击状态
		if ($(this).attr('checked'))
			status = '1';
		else
			status = '-1';
		
		var o = $(this);
		
		$.ajax({
			type: 'POST',
			url: 'countuserdata.php',
			dataType:'html',
			data:{'countStatus':status},
			timeout:3000,
			success:function(html){
				if ('1' == html){
					o.attr('checked','checked');
				}else if('-1' == html){
					o.attr('checked','');
				}
			}
		})
	})
	
	// 点击自动更新按钮
	$('.autoUpdate').live('click',function(){
		var status = '0';
		// 获取点击状态
		if ($(this).attr('checked'))
			status = '1';
		else
			status = '-1';
		
		var o = $(this);
		
		$.ajax({
			type: 'POST',
			url: 'autoupdate.php',
			dataType:'html',
			data:{'autoStatus':status},
			timeout:3000,
			success:function(html){
				//alert(html);
				if ('1' == html)
					o.attr('checked','checked');
				else if('-1' == html)
					o.attr('checked','');
			}
		})
	})
	
	// 点击整合按钮
	$('.interData').live('click',function(){
		var status = '0';
		
		if ($(this).attr('rel') == '1'){
			// 开始整合
			status = '1';
		}else{
			// 停止整合
			status = '0';
		}
		
		var o = $(this);
		
		$.ajax({
			type:'POST',
			dataType:'html',
			url:'interData.php',
			data:{'interStatus':status},
			success:function(html){
				var restult = html.split('|');
				o.children('span').html(restult[0]);
				o.attr('rel',restult[1]);
			}
		})
	})
	
	// 点击帮助
	$('.helping').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'help.php',
	        dataType: 'html',
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:610,height:422});
	        }
	    })
	})
	
	// 帮助界面选项切换
	$('.help_menu li').live('click',function(){
		$('.help_menu li').removeClass();
		$(this).attr('class','pop_cur');
		
		var flag = $('.help_menu li').index($(this));
		$('.help_main_content').children('div').hide();
		$('.help_main_content').children('div:eq('+flag+')').show();
	})
	
	// 关闭按钮
	$('.pop_close_btn').live('click',function(){
		TINY.box.hide();
	})
	
	/**********
	 * **
	 * 登录
	 * 
	 */
	$('.login_btn').live('click',function(){
        var ok_img = "<img src='./public/images/r_iconok.png' />";
        var no_img = "<img src='./public/images/r_iconerror.png' />";
		
        var output_info = '';
        // 账号密码如果为空
		if ($('.email').val() == '' || $('.password').val() == '') {
			output_info += no_img+login_empty;
			$('.error').stop().fadeOut(500).fadeIn(500).fadeOut(500).fadeIn(1000).html(output_info).fadeOut(1000);
            return false;
        }

		$('.error').show().html(imghtml);

        $.ajax({
            url: $('.login_form').attr('action'),
            data: $('.login_form').serialize(),
            type: 'POST',
            //async: false,
            dataType: 'HTML',
            success: function(msg) {
                if (msg == '2' || msg == '-1') {
                    //window.parent.location = 'user1.php';
                	$('.error').stop().fadeOut(500);
                	// 成功跳转到传输历史界面
                	window.location.reload();
                } else {
                	output_info += no_img+"<span>"+msg+"</span>";
                    $('.error').stop().fadeOut(500).fadeIn(500).fadeOut(500).fadeIn(1000).html(output_info).fadeOut(1000);
                }
            }
        })
	})
	
	/***
	**登出
	**
	***/
	$('.logout').click(function() {
	    t = $(this);

	    //TINY.box.show(imgloading, 0, 0, 0, 0);
	    TINY.box.show({html:imgloading,animate:false,close:false,boxid:'error',width:240,height:40});
	    
	    $.ajax({
	        type: "POST",
	        url: t.attr('href'),
	        data: 'restart=1',
	        timeout: 10000,
	        success: function() {
	            setTimeout('closePage()', '1000');
	        },
	        error: function() {
	            location.reload();
	        }
	    })
	    return false;
	});
	
	/***
	 * 处理分页
	 * 
	 ***/
	// 第一頁
	$('.first_page').live('click',function(){
        $.ajax({
            url: $('.history_list').attr('id'),
            type: 'POST',
            data:{'page':'1','data':$('.history_list').attr('data')},
            //async: false,
            dataType: 'HTML',
            success: function(html) {
            	$('.right').html('');
            	$('.right').html(html);
            }
        })
	})
	// 最後一頁
	$('.last_page').live('click',function(){
        $.ajax({
            url: $('.history_list').attr('id'),
            type: 'POST',
            data:{'page':$(this).attr('id'),'data':$('.history_list').attr('data')},
            //async: false,
            dataType: 'HTML',
            success: function(html) {
            	$('.right').html('');
            	$('.right').html(html);
            }
        })		
	})
	// 向后翻一页
	$('.next_page').live('click',function(){
        $.ajax({
            url: $('.history_list').attr('id'),
            type: 'POST',
            data:{'page':$(this).attr('id'),'data':$('.history_list').attr('data')},
            //async: false,
            dataType: 'HTML',
            success: function(html) {
            	$('.right').html('');
            	$('.right').html(html);
            }
        })		
	})
	// 向前翻一页
	$('.pro_page').live('click',function(){
        $.ajax({
            url: $('.history_list').attr('id'),
            type: 'POST',
            data:{'page':$(this).attr('id'),'data':$('.history_list').attr('data')},
            //async: false,
            dataType: 'HTML',
            success: function(html) {
            	$('.right').html('');
            	$('.right').html(html);
            }
        })		
	})
	// 清除历史记录
	$('.clear_his a').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'clearlog.php',
	        dataType: 'html',
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
	        }
	    })
	})
	
	/******
	 * 权限管理
	 */
	// 设置权限 取消权限
	$('.premiss_checkbox input').live('click',function(){
		var share = 0;
		if ($(this).attr('checked'))
			share = 1;
		else
			share = 0;
		var o = $(this);
		
		$.ajax({
	        type: 'POST',
	        url: 'setshare.php',
	        dataType: 'json',
	        data:{'select':share,'name':$(this).attr('title')},
	        success: function(result) {
	        	// 更改状态
	        	//alert(o.parent().parent().parent().children('td:eq(0)').children('div').attr('class'));
	        	
	        	if(share == 1){
	        		o.parent().parent().parent().children('td:eq(0)').children('div').attr('class','').addClass('premiss_img').addClass('premiss_share');
	        	}else{
	        		o.parent().parent().parent().children('td:eq(0)').children('div').attr('class','').addClass('premiss_img').addClass('premiss_noshare');
	        	}
	        }
	    })
	})
	
	/**
	 * 
	 * 修改验证码
	 * 
	 */
	$('.change_check_word').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'changechk.php',
	        dataType: 'html',
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
	        }
	    })
	})
	
	// 点确定按钮
	$('.change_chk_btn').live('click',function(){
		changeChk();
	})
	
	function changeChk() {
		var re = /^[0-9]{0,6}$/;
	        
        if ($('.tcontent .new_chkword').val().search(re) == -1)
        {
            $('.tcontent .chk_mention').fadeOut(500).fadeIn(500);
            return false;
        }

		$.ajax({
	        type: 'POST',
	        url: 'changechk.php',
	        dataType: 'html',
	        data:{'cmd':'change','Ncode':$('.tcontent .new_chkword').val()},
	        success: function(html) {
	        	TINY.box.hide();
	        	$('.t_code').html(html);
	        }
	    })

	    return false;
	}
	
	// 我的分享
	/*选择分享列表*/
	$('.shareAllCheck').live('click',function(){
		var flag = $('.shareAllCheck').index($(this));
		
		$('.shareAllCheck').each(function(index,obj){
			//alert($(obj).attr('checked'));
			if($(obj).attr('checked') && index != flag){
				$(obj).attr('checked',false);
			}
		})
	})
	
	/*点击新增分享文件夹 */
	$('.share_add').live('click',function(){
		var o = $('.share_add_list');
		var t = $('#share_add_direction');
		
		if (o.css('display') == 'none'){
			o.stop().show().animate({height:"57px"},"500",function(){
				if (t.attr('p') == '0'){
					t.attr('p','1');
					t.attr('src','./public/images/t_share_up.png');
				}
			});
		}else if(o.css('display') == 'block'){
			o.stop().animate({height:"0px"},"500","",function(){
				o.hide();
				if (t.attr('p') == '1'){
					t.attr('p','0');
					t.attr('src','./public/images/t_share_down.png');
				}
			});
		}
	})
	
	function stopBubble(e){
		//一般用在鼠标或键盘事件上
		  if(e && e.stopPropagation){
		  //W3C取消冒泡事件
			  e.stopPropagation();
		  }else{
		  //IE取消冒泡事件
			  window.event.cancelBubble = true;
		  }
	};
	
	/*选择私有 公众分享*/
	$('.share_add_box').live('click',function(event){
		var flag = $(this).attr('title');
		var targetUrl = flag+'.php';
		
		stopBubble(event);
		
		$.ajax({
			url		:	'sharefile.php',
			type	:	'POST',
			dataType:	'html',
			data 	:	{select:flag},
			timeOut	:	10000,
			success	:	function(html){
				TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:498,height:437});
			},
			error	:	function(){
				alert('error!');
			}
		});  
	})
	
	/** 点击取消分享 **/
	$('.share_cancel_btn').live('click',function(){
		//alert(432345);
		var flag = 0;
		var idx  = 0;
		var mode = 0;
		
		$('.shareAllCheck').each(function(index,obj){
			//if ($(obj).val())
			if ($(obj).attr('checked')){
				if (flag <= 0){
					idx = index;
				}
				flag += 1;
			}
		})
		
		if (flag == 0 || flag > 1){
			msgSuggest(share_one_choose);
			return false;
		}
		
		mode = $('.shareAllCheck:eq('+idx+')').attr('f');
		f_path = $('.shareAllCheck:eq('+idx+')').attr('path');
		
		$.ajax({
	        type: 'POST',
	        url: 'sharedelete.php',
	        dataType: 'html',
	        data:{msg:share_delete,f:mode,path:f_path},
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
	        }
	    })
	    
	    return false;
	})
	
	$('.share_cancel_click').live('click',function(){
		$.ajax({
	        type: 'POST',
	        url: 'sharedelete.php',
	        dataType: 'html',
	        data:{msg:share_delete,order:1,mode:$(this).attr('p'),path:$(this).attr('path')},
	        success: function(html) {
	        	//alert(html);
	        	if ('success' == html){
	        		shareHome(true);
	        	}
	        }
	    })
	})
	
	/**点击文件夹**/
	$('.share_folder_click').live('click',function(){
		var path = $(this).attr('rel');
		var o = $(this);
		
		$('.share_folder_name').removeClass('share_folder_cur');
		o.children('.share_folder_name').addClass('share_folder_cur');
		
		if (o.attr('p') == '0'){
			$.ajax({
				url:'folders.php',
				type:'POST',
				dataType:'html',
				data:{filepath:path},
				timeOut:10000,
				success:function(html){
					o.parent().append(html);
					o.attr('p','1');
					o.children('span:eq(0)').removeClass('share_folder_close').addClass('share_folder_open');
				
					var v = o.next('.share_extend_folders');
					var str = $(v).children('ul').html();
					if (str == ""){
						o.children('b').addClass('share_floder_tree_flag_none');
					}else{
						o.children('b').addClass('share_floder_tree_flag_down');
					}
					
				},
				error:function(){
					alert('error');
				}
			});
		}else if(o.attr('p') == '1'){
			o.parent().children('.share_extend_folders').remove();
			o.attr('p','0');
			o.children('span:eq(0)').removeClass('share_folder_open').addClass('share_folder_close');
			o.children('b').removeClass('share_floder_tree_flag_none');
			o.children('b').removeClass('share_floder_tree_flag_down');
			o.children('b').addClass('share_folder_tree_flag');
		}
	})
	
	/** 点击共享 确定 共享 **/
	$('.share_folder_sure').live('click',function(){
		var o = $(this);
		var flag = o.attr('p');
		var modeFlag = '-1';
		
		if (!$('.share_folder_name').hasClass('share_folder_cur')){
			alert(noselectfolder);
			return false;
		}
		
		
		var filename = $('.share_folder_cur').attr('rel');
		var headUrl = '';
		
		if (flag == 1){
			// common
			headUrl = 'sharecommon.php';
			modeFlag	= '1';
		}else if(flag == 2){
			// personal
			headUrl = 'sharepersonal.php';
			modeFlag	= '0';
		}
		
		// 根据选择文件打开相应页面
		$.ajax({
			url			:	headUrl,
			dataType	:	'html',
			type		:	'POST',
			data		:	{'name':filename,'order':'1',mode:modeFlag},
			timeOut		:	'10000',
			success		:	function(html){
				TINY.box.hide();
				$('.right').html(html);
			},
			error		:	function(){
				alert('error!');
			}
		})

		return false;
	})
	
	/** 点击 共有分享 选项 **/
	$('.sharecomLeft ul li a').live('click',function(){
		$('.sharecomLeft ul li a').removeClass('shareBtnCur');
		
		$(this).addClass('shareBtnCur');
	
		var flag = $('.sharecomLeft ul li').index($(this).parent());
		
		$('.sharecomRightPart').children('div').css('display','none');
		$('.sharecomRightPart').children('div:eq('+flag+')').css('display','block');
		
	})
		
	/** 返回分享首页 **/
	function shareHome(cmd){
		$.ajax({
			url			: 'share.php',
			dataType	: 'html',
			type		: 'POST',
			timeOut		: '10000',
			success		: function(html){
				$('.right').html(html);
				if (cmd == '1')
					TINY.box.hide();
			},
			error		: function(){
				alert('error!');
			}
		})
	}
	
	$('.return').live('click',function(){
		shareHome();
	})
	
	/** 转化分享方式 **/
	$('.changeBtn').live('click',function(){
		var flag = $(this).attr('rel');
		var name = $(this).attr('path');
		
		$.ajax({
	        type	: 'POST',
	        url		: 'sharechange.php',
	        dataType: 'html',
	        data	: {mode:flag,file:name},
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:354,height:198});
	        }
	    })
	})
	
	/** 点击确定 转化 **/
	$('.share_sure').live('click',function(){
		//alert(45345);
		var sharemode = $(this).attr('p');
		
		// 根据当前的模式选择数据
		var filePath = $(this).attr('file');
		
		var ajaxUrl = '';
		// 指令1 在转化前线清除以前分享
		var orderCode = 1;
		
		if (sharemode == '0'){
			ajaxUrl = 'sharepersonal.php';
			
		}else{
			ajaxUrl = 'sharecommon.php';
		
		}
		//alert(filePath);
		$.ajax({
			url			:ajaxUrl,
			dataType	:'html',
			type		:'POST',
			data		:{name:filePath,mode:sharemode,order:orderCode},
			timeOut		:'10000',
			success		:function(html){
				TINY.box.hide();
				$('.right').html(html);
			},
			error		:function(){
				alert('error!');
			}
		})
	})
	
	/** 查看分享 **/
	$('.share_view_btn').live('click',function(){
		//alert(432345);
		var flag = 0;
		var idx  = 0;
		var mode = 0;
		
		$('.shareAllCheck').each(function(index,obj){
			//if ($(obj).val())
			if ($(obj).attr('checked')){
				if (flag <= 0){
					idx = index;
				}
				flag += 1;
			}
		})
		
		if (flag == 0 || flag > 1){
			msgSuggest(share_one_choose);
			return false;
		}
		
		mode = $('.shareAllCheck:eq('+idx+')').attr('f');
		f_path = $('.shareAllCheck:eq('+idx+')').attr('path');
		
		var ajaxUrl = '';
		if (mode == '0'){
			ajaxUrl = 'sharecommon.php';
		}else if(mode == '1'){
			ajaxUrl = 'sharepersonal.php';
		}
		
		// 根据选择文件打开相应页面
		$.ajax({
			url			:	ajaxUrl,
			dataType	:	'html',
			type		:	'POST',
			data		:	{'name':f_path},
			timeOut		:	'10000',
			success		:	function(html){
				$('.right').html(html);
			},
			error		:	function(){
				alert('error!');
			}
		})

		return false;
	})
	
	/* 私有分享 */
	$('.sharepersonAccountInput').live('focus',function(){
		$(this).val('');
		return false;
	})
	
	/* 私有分享点击添加 按钮 */
	$('.sharepersonAccountBtn').live('click',function(event){
		if ($('.sharepersonAccountInput').val() == '' || emaiIf($('.sharepersonAccountInput').val())){
			//stopBubble(event);
	
			$.ajax({
		        type: 'POST',
		        url: 'pop_com_mention.php',
		        data:{'msg':email_wrong},
		        dataType: 'html',
		        success: function(html) {
		        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
		        }
		    })
			return false;
		}

		var filename = $('.changeBtn').attr('path');
		//alert(filename+' '+$('.sharepersonAccountInput').val());
		$.ajax({
			url			:'sharepersonal.php',
			dataType	:'html',
			type		:'POST',
			data		:{name:filename,order:'2',account:$('.sharepersonAccountInput').val(),page:$('.page_change input').val()},
			success		:function(html){
				//alert(html);
				if (html == 'same'){
					alert(same_account);
				}else{
					$('.right').html(html);
				}
			}
		})
		return false;
	})
	
	/* 删除用户 */
	$('.sharepersonMainFolderClose').live('click',function(event){
		var fileName = $(this).attr('path');
		$.ajax({
	        type: 'POST',
	        url: 'sharepersonal_delete_users.php',
	        dataType: 'html',
	        data:{msg:share_personal_users_delete,path:fileName,account:$(this).attr('account')},
	        success: function(html) {
	        	TINY.box.show({html:html,animate:true,close:false,boxid:'error',width:353,height:180});
	        }
	    })
	    return false;
	})
	
	// 确认删除账户
	$(".share_cancel_users_click").live('click',function(event){
		var user_account = $(this).attr('account');
		var path	= $(this).attr('path');
	//alert(user_account+' '+path);
		$.ajax({
			type		: 'POST',
			url			: 'sharepersonal.php',
			dataType	: 'html',
			data		: {name:path,order:'3',account:user_account},
			success		: function(html){
				TINY.box.hide();
				//alert(html);
				$('.right').html(html);
			}
		})
		return false;
	})
	
/* 发送邮件  */
$('.sharecomSubmitBtn').live('click',function(){
	var email = $('.sharecomEmailAddress').val();
	var textArea = $('.sharecomSendContent').val();
	
	if (emaiIf(email)){	
		msgSuggest(email_wrong);
		return false;
	}

	if ('' == textArea){
		msgSuggest(feedback_wrong);
		return false;
	}

	$('.sharecomSendEmail').show().html(imghtml1);
	
	$.ajax({
		url			:'sharecomemail.php',
		dataType	:'json',
		type		:'POST',
		data		:{email_address:email,email_body:textArea},
		timeOut		:10000,
		success		:function(result){
			$('.sharecomSendEmail').html('');
			$('.sharecomEmailAddress').val(text);
			alert(success_share_mail);
		},
		error		:function(){
			alert('error!');
		}
	})
})


})()

