<?php
session_start();
header('Content-Type: text/html; charset=utf-8');
set_time_limit(30);

$defineArr = array(
    'USER_LOGIN_SESSION_NAME' => 'USER_INFO',
    'DEFINED_JUMP_PAGE' => 'user1.php', //默认跳转页面
    'DEFINED_API_URL' => 'http://www.xcloud.cc/Xcloud/',
    'DEFINED_LOG_DIR' => '../log/transfilelog.log',
    'DEFINED_LOG_DIR_TYPE' => '|', //分隔符
    'SMB_DIR' => '/etc/config/smb.conf',
    'DEFINED_XCLOUD_CONFIG' => '../etc/configure.conf',
    'DEFINED_SMB_CONFIG' => '../etc/share.conf',
    'DEFINED_STATUS_DIR' => '../.xCloudLogInRtn',
    'LOG_TAR_DIR' => './log/log.tar.gz',
    'VAR_LANGUAGE' => 'L', //默认传参语言变量
    'LANGUAGE' => array(
        '简体中文' => 'cn',
        '繁體中文' => 'tw',
        'English' => 'en',
    ),
    'DEFAULT_SYSTEM' => array(
        '1' => 'synology',
        '2' => 'qnap',
        '3' => 'netgear',
    	'4'	=> 'thecus',
    	'5' => 'asus',
    ),
    'DEFAULT_SYSTEM_DIR' => './temp/.system',
    'DEFAULT_LANG' => 'en', //默认语言
    'DEFAULT_LANG_COOKIE_NAME' => 'xcloud_language', //cookie名字
	'PAGE_MAX'=>'8',
	'DEFAULT_CHECK_FILE' => 'source',
	'DEFAULT_SHOW_IMG' => array(
		'1' => '/volume1/xcloud/',
		'2' => '/volume1/xcloud/',
		'3' => '/volume1/xcloud/',
		'4' => '/volume1/xcloud/',
		'5' => '/volume1/Public/xcloud/',
	),
	'PAY_USE'=>'1',
);

include 'function.php';
$lang = setLang();
@include "Lang/$lang.php";
include 'socket.php';
check_socket();
$SOCKET = new socketClass();
$systemtype = trim(@file_get_contents(C('DEFAULT_SYSTEM_DIR')));
$systemarr = explode(',', $systemtype);
$systemtype = empty($systemarr[0]) ? "synology" : $systemarr[0];
$VERSION = $systemarr[1];
$system = C('DEFAULT_SYSTEM');
$system[$systemtype]();

?>
